Description

Supportanfrage

wir haben vor komprimierte VideoStreams in einer Dat-Datei außerhalb von ADTF wieder zu dekomprimieren. Den DatExporter

können wir leider nicht verwenden, da wir immer nur auf einzelnen Teilen der Dat-Datei arbeiten, um diese parallelisiert zu

verarbeiten. Deshalb müssen wir verstehen wie dieser Codec funktioniert, um an die Bilder innerhalb eines Chunks ranzukommen.

Könnt ihr mir da Informationen zukommen lassen?

Lösung

Eine kurze Beschreibung findest du im Usermanual der Video Compression TB:

Kap. 2.1 All Platforms

Im Downloadbereich findest du auch das Debug Package, die Compression TB wird nicht mehr gepflegt und entfällt auch zu ADTF

3.x, deshalb haben wir den Code geliefert:

Compression TB 2.5.0

Unabhängig davon gibt es in der Streaming Lib, die ja genau für euren Use Case gemacht ist, ein Bsp. zum Dekodieren

komprimierter Videodaten (Decode Compressed Video):

./examples/decode_compressed_video

Darin sind u.a. auch Sourcen für den adtf/rice Codec Zugriff:

./examples/decode_compressed_video/codec_adtf

Siehe auch Usermanual der Streaming Lib:

Kap 3 FAQ - Question: How can I access compressed video streams?

History

#1 - 2018-08-03 08:19 - hidden

- Project changed from Public Support to 20

- Status changed from New to In Progress

- Topic set to CompressionTB::Common

- Customer set to VW

- Department set to CARMEQ

- Affected Products ADTF Video Compression Toolbox 2.5.0 added

#2 - 2018-08-03 10:05 - hidden

- Status changed from In Progress to Customer Feedback Required

2024-04-25 1/2

support.digitalwerk.net/adtf_addons/adtf-video-compression-toolbox/v2/video_compression_toolbox.pdf
support.digitalwerk.net/projects/download-center/repository/show/adtf-toolboxes/adtf-video-compression-toolbox/release-2.5.0
support.digitalwerk.net/projects/download-center/repository/show/adtf-libraries/adtf-streaming-library/release-2.9.0
support.digitalwerk.net/adtf_libraries/adtf-streaming-library/v2/api/page_decode_compressed_video.html
support.digitalwerk.net/adtf_libraries/adtf-streaming-library/v2/StreamingLibrary.pdf


Hallo Thomas,

eine kurze Beschreibung findest du im Usermanual der Video Compression TB:

Kap. 2.1 All Platforms

Im Downloadbereich findest du auch das Debug Package, die Compression TB wird nicht mehr gepflegt und entfällt auch zu ADTF 3.x, deshalb

haben wir den Code geliefert:

Compression TB 2.5.0

Unabhängig davon gibt es in der Streaming Lib, die ja genau für euren Use Case gemacht ist, ein Bsp. zum Dekodieren komprimierter Videodaten (

Decode Compressed Video):

./examples/decode_compressed_video

Darin sind u.a. auch Sourcen für den adtf/rice Codec Zugriff:

./examples/decode_compressed_video/codec_adtf

Siehe auch Usermanual der Streaming Lib:

Kap 3 FAQ - Question: How can I access compressed video streams?

#3 - 2018-08-03 10:15 - hidden

Hallo Florian,

vielen Dank für die sehr gute Antwort! Die Dokumente werden uns sehr gut bei dem helfen, was wir vorhaben.

Schönes Wochenende und viele Grüße

Thomas

#4 - 2018-08-03 10:19 - hidden

- Project changed from 20 to Public Support

- Subject changed from Video Compression Toolbox - Funktionsweise vom Adtf Codec to Information about adtf codec

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#5 - 2018-08-03 10:19 - hidden

- Subject changed from Information about adtf codec to Information about adtf codec required

#6 - 2018-09-11 15:53 - hidden

- Status changed from To Be Closed to Closed
